Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network249.48.0.0/12
Usable hosts1,048,574
Subnet mask255.240.0.0
Addresses1,048,576
Network address
249.48.0.0
Broadcast address
249.63.255.255
First usable
249.48.0.1
Last usable
249.63.255.254
Usable hosts
1,048,574 (1,048,576 less the network and broadcast addresses)
Subnet mask
255.240.0.0
Wildcard mask
0.15.255.255 (Cisco ACLs, OSPF)
Prefix length
/12
Type
Reserved 240.0.0.0/4
Future use; not usable on most systems
Old class
E (reserved)
As numbers
Hex F9300000 · Integer 4180672512 to 4181721087
Reverse DNS zones
48.249.in-addr.arpa
49.249.in-addr.arpa
50.249.in-addr.arpa
51.249.in-addr.arpa
52.249.in-addr.arpa
53.249.in-addr.arpa
54.249.in-addr.arpa
55.249.in-addr.arpa
56.249.in-addr.arpa
57.249.in-addr.arpa
58.249.in-addr.arpa
59.249.in-addr.arpa
60.249.in-addr.arpa
61.249.in-addr.arpa
62.249.in-addr.arpa
63.249.in-addr.arpa
/12 is not on a 8-bit boundary, so it takes 16 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11111001.00110000.00000000.00000000249.48.0.0
Subnet mask11111111.11110000.00000000.00000000255.240.0.0
Network11111001.00110000.00000000.00000000249.48.0.0
Broadcast11111001.00111111.11111111.11111111249.63.255.255
Split into smaller subnets/19

249.48.0.0/12 makes 128 subnets of /19.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1249.48.0.0/19249.48.0.1 to 249.48.31.254249.48.31.2558,190
2249.48.32.0/19249.48.32.1 to 249.48.63.254249.48.63.2558,190
3249.48.64.0/19249.48.64.1 to 249.48.95.254249.48.95.2558,190
4249.48.96.0/19249.48.96.1 to 249.48.127.254249.48.127.2558,190
5249.48.128.0/19249.48.128.1 to 249.48.159.254249.48.159.2558,190
6249.48.160.0/19249.48.160.1 to 249.48.191.254249.48.191.2558,190
7249.48.192.0/19249.48.192.1 to 249.48.223.254249.48.223.2558,190
8249.48.224.0/19249.48.224.1 to 249.48.255.254249.48.255.2558,190
9249.49.0.0/19249.49.0.1 to 249.49.31.254249.49.31.2558,190
10249.49.32.0/19249.49.32.1 to 249.49.63.254249.49.63.2558,190
11249.49.64.0/19249.49.64.1 to 249.49.95.254249.49.95.2558,190
12249.49.96.0/19249.49.96.1 to 249.49.127.254249.49.127.2558,190
13249.49.128.0/19249.49.128.1 to 249.49.159.254249.49.159.2558,190
14249.49.160.0/19249.49.160.1 to 249.49.191.254249.49.191.2558,190
15249.49.192.0/19249.49.192.1 to 249.49.223.254249.49.223.2558,190
16249.49.224.0/19249.49.224.1 to 249.49.255.254249.49.255.2558,190
17249.50.0.0/19249.50.0.1 to 249.50.31.254249.50.31.2558,190
18249.50.32.0/19249.50.32.1 to 249.50.63.254249.50.63.2558,190
19249.50.64.0/19249.50.64.1 to 249.50.95.254249.50.95.2558,190
20249.50.96.0/19249.50.96.1 to 249.50.127.254249.50.127.2558,190
21249.50.128.0/19249.50.128.1 to 249.50.159.254249.50.159.2558,190
22249.50.160.0/19249.50.160.1 to 249.50.191.254249.50.191.2558,190
23249.50.192.0/19249.50.192.1 to 249.50.223.254249.50.223.2558,190
24249.50.224.0/19249.50.224.1 to 249.50.255.254249.50.255.2558,190
25249.51.0.0/19249.51.0.1 to 249.51.31.254249.51.31.2558,190
26249.51.32.0/19249.51.32.1 to 249.51.63.254249.51.63.2558,190
27249.51.64.0/19249.51.64.1 to 249.51.95.254249.51.95.2558,190
28249.51.96.0/19249.51.96.1 to 249.51.127.254249.51.127.2558,190
29249.51.128.0/19249.51.128.1 to 249.51.159.254249.51.159.2558,190
30249.51.160.0/19249.51.160.1 to 249.51.191.254249.51.191.2558,190
31249.51.192.0/19249.51.192.1 to 249.51.223.254249.51.223.2558,190
32249.51.224.0/19249.51.224.1 to 249.51.255.254249.51.255.2558,190
33249.52.0.0/19249.52.0.1 to 249.52.31.254249.52.31.2558,190
34249.52.32.0/19249.52.32.1 to 249.52.63.254249.52.63.2558,190
35249.52.64.0/19249.52.64.1 to 249.52.95.254249.52.95.2558,190
36249.52.96.0/19249.52.96.1 to 249.52.127.254249.52.127.2558,190
37249.52.128.0/19249.52.128.1 to 249.52.159.254249.52.159.2558,190
38249.52.160.0/19249.52.160.1 to 249.52.191.254249.52.191.2558,190
39249.52.192.0/19249.52.192.1 to 249.52.223.254249.52.223.2558,190
40249.52.224.0/19249.52.224.1 to 249.52.255.254249.52.255.2558,190
41249.53.0.0/19249.53.0.1 to 249.53.31.254249.53.31.2558,190
42249.53.32.0/19249.53.32.1 to 249.53.63.254249.53.63.2558,190
43249.53.64.0/19249.53.64.1 to 249.53.95.254249.53.95.2558,190
44249.53.96.0/19249.53.96.1 to 249.53.127.254249.53.127.2558,190
45249.53.128.0/19249.53.128.1 to 249.53.159.254249.53.159.2558,190
46249.53.160.0/19249.53.160.1 to 249.53.191.254249.53.191.2558,190
47249.53.192.0/19249.53.192.1 to 249.53.223.254249.53.223.2558,190
48249.53.224.0/19249.53.224.1 to 249.53.255.254249.53.255.2558,190
49249.54.0.0/19249.54.0.1 to 249.54.31.254249.54.31.2558,190
50249.54.32.0/19249.54.32.1 to 249.54.63.254249.54.63.2558,190
51249.54.64.0/19249.54.64.1 to 249.54.95.254249.54.95.2558,190
52249.54.96.0/19249.54.96.1 to 249.54.127.254249.54.127.2558,190
53249.54.128.0/19249.54.128.1 to 249.54.159.254249.54.159.2558,190
54249.54.160.0/19249.54.160.1 to 249.54.191.254249.54.191.2558,190
55249.54.192.0/19249.54.192.1 to 249.54.223.254249.54.223.2558,190
56249.54.224.0/19249.54.224.1 to 249.54.255.254249.54.255.2558,190
57249.55.0.0/19249.55.0.1 to 249.55.31.254249.55.31.2558,190
58249.55.32.0/19249.55.32.1 to 249.55.63.254249.55.63.2558,190
59249.55.64.0/19249.55.64.1 to 249.55.95.254249.55.95.2558,190
60249.55.96.0/19249.55.96.1 to 249.55.127.254249.55.127.2558,190
61249.55.128.0/19249.55.128.1 to 249.55.159.254249.55.159.2558,190
62249.55.160.0/19249.55.160.1 to 249.55.191.254249.55.191.2558,190
63249.55.192.0/19249.55.192.1 to 249.55.223.254249.55.223.2558,190
64249.55.224.0/19249.55.224.1 to 249.55.255.254249.55.255.2558,190
65249.56.0.0/19249.56.0.1 to 249.56.31.254249.56.31.2558,190
66249.56.32.0/19249.56.32.1 to 249.56.63.254249.56.63.2558,190
67249.56.64.0/19249.56.64.1 to 249.56.95.254249.56.95.2558,190
68249.56.96.0/19249.56.96.1 to 249.56.127.254249.56.127.2558,190
69249.56.128.0/19249.56.128.1 to 249.56.159.254249.56.159.2558,190
70249.56.160.0/19249.56.160.1 to 249.56.191.254249.56.191.2558,190
71249.56.192.0/19249.56.192.1 to 249.56.223.254249.56.223.2558,190
72249.56.224.0/19249.56.224.1 to 249.56.255.254249.56.255.2558,190
73249.57.0.0/19249.57.0.1 to 249.57.31.254249.57.31.2558,190
74249.57.32.0/19249.57.32.1 to 249.57.63.254249.57.63.2558,190
75249.57.64.0/19249.57.64.1 to 249.57.95.254249.57.95.2558,190
76249.57.96.0/19249.57.96.1 to 249.57.127.254249.57.127.2558,190
77249.57.128.0/19249.57.128.1 to 249.57.159.254249.57.159.2558,190
78249.57.160.0/19249.57.160.1 to 249.57.191.254249.57.191.2558,190
79249.57.192.0/19249.57.192.1 to 249.57.223.254249.57.223.2558,190
80249.57.224.0/19249.57.224.1 to 249.57.255.254249.57.255.2558,190
81249.58.0.0/19249.58.0.1 to 249.58.31.254249.58.31.2558,190
82249.58.32.0/19249.58.32.1 to 249.58.63.254249.58.63.2558,190
83249.58.64.0/19249.58.64.1 to 249.58.95.254249.58.95.2558,190
84249.58.96.0/19249.58.96.1 to 249.58.127.254249.58.127.2558,190
85249.58.128.0/19249.58.128.1 to 249.58.159.254249.58.159.2558,190
86249.58.160.0/19249.58.160.1 to 249.58.191.254249.58.191.2558,190
87249.58.192.0/19249.58.192.1 to 249.58.223.254249.58.223.2558,190
88249.58.224.0/19249.58.224.1 to 249.58.255.254249.58.255.2558,190
89249.59.0.0/19249.59.0.1 to 249.59.31.254249.59.31.2558,190
90249.59.32.0/19249.59.32.1 to 249.59.63.254249.59.63.2558,190
91249.59.64.0/19249.59.64.1 to 249.59.95.254249.59.95.2558,190
92249.59.96.0/19249.59.96.1 to 249.59.127.254249.59.127.2558,190
93249.59.128.0/19249.59.128.1 to 249.59.159.254249.59.159.2558,190
94249.59.160.0/19249.59.160.1 to 249.59.191.254249.59.191.2558,190
95249.59.192.0/19249.59.192.1 to 249.59.223.254249.59.223.2558,190
96249.59.224.0/19249.59.224.1 to 249.59.255.254249.59.255.2558,190
97249.60.0.0/19249.60.0.1 to 249.60.31.254249.60.31.2558,190
98249.60.32.0/19249.60.32.1 to 249.60.63.254249.60.63.2558,190
99249.60.64.0/19249.60.64.1 to 249.60.95.254249.60.95.2558,190
100249.60.96.0/19249.60.96.1 to 249.60.127.254249.60.127.2558,190
101249.60.128.0/19249.60.128.1 to 249.60.159.254249.60.159.2558,190
102249.60.160.0/19249.60.160.1 to 249.60.191.254249.60.191.2558,190
103249.60.192.0/19249.60.192.1 to 249.60.223.254249.60.223.2558,190
104249.60.224.0/19249.60.224.1 to 249.60.255.254249.60.255.2558,190
105249.61.0.0/19249.61.0.1 to 249.61.31.254249.61.31.2558,190
106249.61.32.0/19249.61.32.1 to 249.61.63.254249.61.63.2558,190
107249.61.64.0/19249.61.64.1 to 249.61.95.254249.61.95.2558,190
108249.61.96.0/19249.61.96.1 to 249.61.127.254249.61.127.2558,190
109249.61.128.0/19249.61.128.1 to 249.61.159.254249.61.159.2558,190
110249.61.160.0/19249.61.160.1 to 249.61.191.254249.61.191.2558,190
111249.61.192.0/19249.61.192.1 to 249.61.223.254249.61.223.2558,190
112249.61.224.0/19249.61.224.1 to 249.61.255.254249.61.255.2558,190
113249.62.0.0/19249.62.0.1 to 249.62.31.254249.62.31.2558,190
114249.62.32.0/19249.62.32.1 to 249.62.63.254249.62.63.2558,190
115249.62.64.0/19249.62.64.1 to 249.62.95.254249.62.95.2558,190
116249.62.96.0/19249.62.96.1 to 249.62.127.254249.62.127.2558,190
117249.62.128.0/19249.62.128.1 to 249.62.159.254249.62.159.2558,190
118249.62.160.0/19249.62.160.1 to 249.62.191.254249.62.191.2558,190
119249.62.192.0/19249.62.192.1 to 249.62.223.254249.62.223.2558,190
120249.62.224.0/19249.62.224.1 to 249.62.255.254249.62.255.2558,190
121249.63.0.0/19249.63.0.1 to 249.63.31.254249.63.31.2558,190
122249.63.32.0/19249.63.32.1 to 249.63.63.254249.63.63.2558,190
123249.63.64.0/19249.63.64.1 to 249.63.95.254249.63.95.2558,190
124249.63.96.0/19249.63.96.1 to 249.63.127.254249.63.127.2558,190
125249.63.128.0/19249.63.128.1 to 249.63.159.254249.63.159.2558,190
126249.63.160.0/19249.63.160.1 to 249.63.191.254249.63.191.2558,190
127249.63.192.0/19249.63.192.1 to 249.63.223.254249.63.223.2558,190
128249.63.224.0/19249.63.224.1 to 249.63.255.254249.63.255.2558,190

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses